Bug 847281 - [abrt] glade3-3.8.2-1.fc17: g_pointer_bit_lock: Process /usr/bin/glade-3 was killed by signal 11 (SIGSEGV)
[abrt] glade3-3.8.2-1.fc17: g_pointer_bit_lock: Process /usr/bin/glade-3 was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glade3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:2a59eb5aa650d97e8ef5c077042...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 08:14 EDT by Jan Teichmann
Modified: 2013-07-31 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.03 KB, text/plain)
2012-08-10 08:14 EDT, Jan Teichmann
no flags Details
File: maps (49.34 KB, text/plain)
2012-08-10 08:14 EDT, Jan Teichmann
no flags Details
File: dso_list (10.23 KB, text/plain)
2012-08-10 08:14 EDT, Jan Teichmann
no flags Details

  None (edit)
Description Jan Teichmann 2012-08-10 08:14:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        glade-3 /home/jan/Documents/CITY/models/steady_state/GUI/gui.glade
crash_function: g_pointer_bit_lock
executable:     /usr/bin/glade-3
kernel:         3.5.0-2.fc17.x86_64
pid:            8345
pwd:            /home/jan
remote_result:  NOTFOUND
time:           Fri 10 Aug 2012 13:09:57 BST
uid:            1000
username:       jan

backtrace:      Text file, 20506 bytes
dso_list:       Text file, 10478 bytes
maps:           Text file, 50527 bytes

build_ids:
:f69712fe393313f44607679e934bf5a67f39ec50
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:0a5388cbffa3c90454d5dfc0141192c45f77261d
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:26a1ece9a0e6bebdf3f16f0ced651ccc7bd6e38e
:fd952473da735f9c0f50de231aa3d84d7855ef57
:713a3c03a4021ecf38e367e0bc2520bf4fa40fb9
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:6668de624a10d486a3484d5b4921f87b1e77d36c
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:9a56ff99a695b04fb7f48a0d3df108d63bd92b8a
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:9b7c051733f6f1bbd546b57be58d6bba29086c0c
:137ce33e99dff4cf33f9835c815b1b6860445a50
:f4d479614b09460085428bbe7d53df454d0d39e5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:e269301fafc421669fee7a6244f5ba29429faa7f
:6086bff484a49cc8b80cb714d7e83a6391394800
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:6d378b7a7206be10303309b0da0a58a50a5bd4a5
:e99c86eb3485e54972f176ba34d78396596de7af
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:4766030df5910bb810d7dfa57df3c74018ffdf52
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:af478e1912b65b20f3a209cc8003e18ae2ecc862
:de8c831546cc2e29d52aa2407737062f1eaae64e
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:66f5ee18310023da48c1f8cf75e7e50b78ade469
:f227cfd2550b8b9e1a725173e990f88be82dcb3a
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:ec87953f655fbcbcbe71b591db5451e56739576e
:faca16f15d87b83d2947a386e319b02f724dcbb5
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:4b1ac54ceb3589c761b5274c7bfdd7b01fec7f36
:bd8122f882828961ac02630eab89c3581ea8a025
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:b262a361763f91cca5e5826440bebaa4bc8cfebe
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:261a1e9596d39bff68d3c5257eec6614caae9f0a
:7c35310fc506498c612d5d982ab03becc4b4817c
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:94cad91ee49670237815f754dc44abce8761c692
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:b277af36744327e3d58eae76bcdaadcca71a28c6
:789de8b5a51ab3356ece9e82780b3d4ee8273d23
:49bbf27f1ab4dcf35b15a67bee76396a5b5b0799
:e91010b497ec024178c36f4365b21f668bada0ca
:f4c064df8745dff15466d705fb049138f9a5c949
:508cf66f72e70054a41215f80ed2385c6bb80030
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:e6d2c36ca6221d9165cedd73a58526abbecd0506
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:113647b704abd1345c97a06ccbe8935247e16d75
:293d4c2b92a782e4817b228aaaa8f8f8e17714c6
:9e6594e38d36f94f5e02c90731970f1c72396147
:6e2537ccbd5fafa7671f182cbd0b30c46c59bd49
:70ab7156aa02c240fcda57c4876955ce2e1c8b85
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:bb24e56b33c8ddbf1a0475454e5afaf578448db3
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:17b92f1c5579c04dd304274185cabda7bb5c62d3
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:b3453387ebb3f1ec604029943375ae2e0f475da7
:726a299098b7695fc69d788f6b19468810c1ba6e
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jan/2

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x1fe50 g_pointer_bit_lock libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x2d2dd g_datalist_id_get_data libglib-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x137ec - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x1629a g_object_newv libgobject-2.0.so.0 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x4c035 - libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x4ff85 - libgladeui-1.so.11 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x15d71 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x282da glade_widget_adaptor_create_widget_real libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x4f1a6 glade_widget_read libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x27562 - libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x25393 - libgladeui-1.so.11 -
:49bbf27f1ab4dcf35b15a67bee76396a5b5b0799 0x1f48f glade_gtk_widget_read_widget libgladegtk.so -
:49bbf27f1ab4dcf35b15a67bee76396a5b5b0799 0x25ed7 glade_gtk_window_read_widget libgladegtk.so -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x4f102 glade_widget_read libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x318b6 - libgladeui-1.so.11 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x32010 glade_project_load_from_file libgladeui-1.so.11 -
:70ab7156aa02c240fcda57c4876955ce2e1c8b85 0xac97 _start [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=R61
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/jan/keyring-4Q0VhE
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=jan
:USERNAME=jan
:MAIL=/var/spool/mail/jan
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jan
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1179
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jan
:SHLVL=1
:LOGNAME=jan
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-E0ZV51Zpod,guid=d29145ed3856d0f19f1572c500000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jan
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jan-uqImK2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1183,unix/unix:/tmp/.ICE-unix/1183
:SSH_AUTH_SOCK=/run/user/jan/keyring-4Q0VhE/ssh
:GPG_AGENT_INFO=/run/user/jan/keyring-4Q0VhE/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-glade-3.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8345
:DESKTOP_STARTUP_ID=nautilus-4467-R61-glade-3-4_TIME23560137

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15784                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15784                15784                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jan/.xsession-errors
:pos:	11215
:flags:	0102002
:2:/home/jan/.xsession-errors
:pos:	11215
:flags:	0102002
:3:socket:[259426]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:/usr/share/glade3/catalogs
:pos:	9223372036854775807
:flags:	02304000
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:pipe:[258660]
:pos:	0
:flags:	00
:8:pipe:[258660]
:pos:	0
:flags:	04001
:9:socket:[259429]
:pos:	0
:flags:	02000002
:10:socket:[259430]
:pos:	0
:flags:	02004002
:11:socket:[259431]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:socket:[258665]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 10 13:09:56 R61 kernel: [23564.025517] glade-3[8345]: segfault at 10 ip 0000003d5261fe50 sp 00007ffffe68fdc0 error 6 in libglib-2.0.so.0.3200.4[3d52600000+11d000]
:Aug 10 13:09:57 R61 abrt[8360]: Saved core dump of pid 8345 (/usr/bin/glade-3) to /var/spool/abrt/ccpp-2012-08-10-13:09:57-8345 (58011648 bytes)
Comment 1 Jan Teichmann 2012-08-10 08:14:15 EDT
Created attachment 603486 [details]
File: backtrace
Comment 2 Jan Teichmann 2012-08-10 08:14:18 EDT
Created attachment 603487 [details]
File: maps
Comment 3 Jan Teichmann 2012-08-10 08:14:20 EDT
Created attachment 603488 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 18:44:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:50:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.